import { UnitResponse, UnitConfig } from "../types/common";
import { BaseResource } from "./baseResource";
import { ApiToken, CreateApiTokenRequest } from "../types/orgToken";
export declare class OrgTokens extends BaseResource {
    constructor(token: string, basePath: string, config?: UnitConfig);
    create(userId: string, request: CreateApiTokenRequest): Promise<UnitResponse<ApiToken>>;
    revoke(userId: string, tokenId: string): Promise<UnitResponse<ApiToken>>;
    list(userId: string): Promise<UnitResponse<ApiToken[]>>;
}
